-- | Parsers/Dobrochan.hs
-- Dobrochan parsers.

module Parsers.Dobrochan (
    dobrochanThread,
    dobrochanBoard
) where

import Parsers.Post
import Parsers.Thread
import Parsers.Wakaba


dobrochanPostSettings = wakabaPostSettings
    { sPropertiesTag      = "<div class=fileinfo>"
    , sPropertiesCloseTag = "</div>"
    , sBodyWalkAll        = False
    , sBodyTag            = "<div class=message>"
    , sBodyCloseTag       = "</div>"
    }

dobrochanThreadSettings = ThreadSettings
    { sThreadSplitter = "<div class=\"thread"
    , sAfterSplit     = True
    }


dobrochanThread = parsePosts dobrochanPostSettings
dobrochanBoard = parseThread dobrochanThreadSettings dobrochanPostSettings
