-- | Parsers/Nowai.hs
-- Nowai parsers.

module Parsers.Nowai (
    nowaiThread,
    nowaiBoard
) where

import Parsers.Post
import Parsers.Thread
import Parsers.Wakaba


nowaiPostSettings = wakabaPostSettings
    { sPostSplitter       = "<table class=\"post\""
    , sPostNumberTag      = "del/[0-9]+\\.html"
    , sTitleTag           = ("<span class=caption>",
                             "<span class=caption>")
    , sTimeCloseTag       = "<a class=postid>"
    , sPropertiesTag      = "<span class=fileinfo>"
    , sBodyTag            = "<span class=posttext>"
    , sBodyCloseTag       = "</span>"
    }

nowaiThreadSettings = ThreadSettings
    { sThreadSplitter = "<table class=\"thread"
    , sAfterSplit     = True
    }


nowaiThread = parsePosts nowaiPostSettings
nowaiBoard = parseThread nowaiThreadSettings nowaiPostSettings
