-- | Parsers/Wakaba.hs
-- Wakaba parsers.

module Parsers.Wakaba (
    wakabaPostSettings,
    wakabaThread,
    wakabaBoard
) where

import Parsers.Thread
import Parsers.Post


wakabaPostSettings = PostSettings
    { sPostSplitter       = "<td class=\"reply\""
    , sPostNumberTag      = "<a name=\"[^\"s]+\""
    , sTitleTag           = ("<span class=replytitle>",
                             "<span class=filetitle>")
    , sAuthorTag          = ("<span class=commentpostername>",
                             "<span class=postername>")
    , sTripTag            = "<span class=postertrip>"
    , sTimeCloseTag       = "</label>"
    , sPropertiesTag      = "<span class=filesize>"
    , sPropertiesCloseTag = "</span>"
    , sImgTag             = "<a target=_blank>"
    , sThumbTag           = "<img class=thumb>"
    , sBodyWalkAll        = True
    , sBodyTag            = "<blockquote>"
    , sBodyCloseTag       = "</blockquote>"
    }

wakabaThreadSettings = ThreadSettings
    { sThreadSplitter = "<br clear=\"left\" /><hr />"
    , sAfterSplit     = False
    }


wakabaThread = parsePosts wakabaPostSettings
wakabaBoard = parseThread wakabaThreadSettings wakabaPostSettings
